## WnckWorkspace

WnckWorkspace —

## Synopsis

    struct      WnckWorkspacePrivate;
    int         wnck_workspace_get_number       (WnckWorkspace *space);
    const char* wnck_workspace_get_name         (WnckWorkspace *space);
    void        wnck_workspace_change_name      (WnckWorkspace *space,
                                                 const char *name);
    void        wnck_workspace_activate         (WnckWorkspace *space);
    int         wnck_workspace_get_width        (WnckWorkspace *space);
    int         wnck_workspace_get_height       (WnckWorkspace *space);
    int         wnck_workspace_get_viewport_x   (WnckWorkspace *space);
    int         wnck_workspace_get_viewport_y   (WnckWorkspace *space);
    gboolean    wnck_workspace_is_virtual       (WnckWorkspace *space);

## Description

## Details

### struct WnckWorkspacePrivate

    struct WnckWorkspacePrivate;

### wnck_workspace_get_number ()

    int         wnck_workspace_get_number       (WnckWorkspace *space);

`space` : | a WnckWorkspace
Returns : | get the index of the workspace

### wnck_workspace_get_name ()

    const char* wnck_workspace_get_name         (WnckWorkspace *space);

Gets the name that should be used to refer to the workspace in the user interface. If the user hasn't set a special name, will be something like "Workspace 3" - otherwise whatever name the user set.

`space` : | a WnckWorkspace
Returns : | workspace name, never `NULL`

### wnck_workspace_change_name ()

    void        wnck_workspace_change_name      (WnckWorkspace *space,
                                                 const char *name);

Try changing the name of the workspace.

`space` : | a WnckWorkspace
`name` : | new workspace name

### wnck_workspace_activate ()

    void        wnck_workspace_activate         (WnckWorkspace *space);

Ask window manager to make `space` the active workspace.

`space` : | a WnckWorkspace

### wnck_workspace_get_width ()

    int         wnck_workspace_get_width        (WnckWorkspace *space);

`space` : |
Returns : |

### wnck_workspace_get_height ()

    int         wnck_workspace_get_height       (WnckWorkspace *space);

`space` : |
Returns : |

### wnck_workspace_get_viewport_x ()

    int         wnck_workspace_get_viewport_x   (WnckWorkspace *space);

`space` : |
Returns : |

### wnck_workspace_get_viewport_y ()

    int         wnck_workspace_get_viewport_y   (WnckWorkspace *space);

`space` : |
Returns : |

### wnck_workspace_is_virtual ()

    gboolean    wnck_workspace_is_virtual       (WnckWorkspace *space);

`space` : |
Returns : |